/// <reference types="react" />
import { UsePermissionsStatusResult } from "../hooks/use-permissions-status.js";
export declare function WithPermissionsStatus(options: WithPermissionsStatusOptions): JSX.Element | undefined;
export type WithPermissionsStatusOptions = {
    renderIfLoading: () => JSX.Element;
    renderIfGranted: () => JSX.Element;
    renderIfDenied: () => JSX.Element;
    renderIfPrompt: () => JSX.Element;
} | {
    render: (permissionsStatus: UsePermissionsStatusResult) => JSX.Element;
};
