/// <reference types="react" />
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { GeolocationDecorator } from "../../create-geolocation-decorator.js";
import { UsePositionWatchOptions } from "../hooks/use-position-watch.js";
export declare function WithPositionSync<TDeepClient extends DeepClientInstance = DeepClientInstance>(options: WithPositionWatchOptions<TDeepClient>): WithPositionWatchResult;
export type WithPositionWatchOptions<TDeepClient extends DeepClientInstance = DeepClientInstance> = UsePositionWatchOptions & {
    children?: JSX.Element | null;
    deep: GeolocationDecorator<TDeepClient>;
};
export type WithPositionWatchResult = Exclude<WithPositionWatchOptions["children"], undefined>;
