export function usePosition(options) {
    const { deep, containerLinkId = deep.linkId } = options;
    const subscriptionData = {
        type_id: deep.capacitorGeolocationPackage.Position.idLocal(),
        in: {
            type_id: deep.idLocal("@deep-foundation/core", "Contain"),
            from_id: containerLinkId,
        },
    };
    const { data: [positionLink] = [undefined] } = deep.useDeepSubscription(subscriptionData);
    return positionLink;
}
