import { Position } from "@capacitor/geolocation";
import { GeolocationDecorator } from "./create-geolocation-decorator.js";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
export declare function getPosition<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: GetPositionOptions): GetPositionResult;
export type GetPositionOptions = {
    linkId: number;
};
export type GetPositionResult = Promise<Partial<Position> | undefined>;
