import { WatchPositionOptions } from "../../watch-position.js";
import { GeolocationDecorator } from "../../create-geolocation-decorator.js";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
export declare function usePositionWatch<TDeepClient extends DeepClientInstance = DeepClientInstance>(options: UsePositionWatchOptions<TDeepClient>): UsePositionWatchResult;
export type UsePositionWatchOptions<TDeepClient extends DeepClientInstance = DeepClientInstance> = WatchPositionOptions & {
    deep: GeolocationDecorator<TDeepClient>;
};
export type UsePositionWatchResult = void;
