import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { GeolocationDecorator } from "../../create-geolocation-decorator.js";
import { Link } from "@deep-foundation/deeplinks/imports/minilinks.js";
export declare function usePosition<TDeepClient extends DeepClientInstance = DeepClientInstance>(options: UsePositionOptions<TDeepClient>): UsePositionResult;
export interface UsePositionOptions<TDeepClient extends DeepClientInstance = DeepClientInstance> {
    /**
     * Container link id
     *
     * @defaultValue {@link this.linkId}
     */
    containerLinkId?: number;
    deep: GeolocationDecorator<TDeepClient>;
}
export type UsePositionResult = Link<number> | undefined;
