import { Geolocation, } from "@capacitor/geolocation";
import debug from "debug";
import { emitter } from "./emitter.js";
export async function requestPermissions() {
    const log = debug(`@deep-foundation/capacitor-geolocation:${requestPermissions.name}`);
    const permissionsStatus = await Geolocation.requestPermissions();
    log({ permissionsStatus });
    emitter.emit("permissionsChanged", permissionsStatus);
    return permissionsStatus;
}
