import { Position } from "@capacitor/geolocation";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { GeolocationDecorator } from "./create-geolocation-decorator.js";
export declare function updatePosition<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: UpdatePositionOptions): UpdatePositionResult;
export type UpdatePositionOptions = {
    position: Position | null;
    id: number;
};
export type UpdatePositionResult = ReturnType<DeepClientInstance["serial"]>;
