import { GeolocationPlugin } from "@capacitor/geolocation";
import { GeolocationDecorator } from "./create-geolocation-decorator.js";
import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
export declare function watchPosition<TDeepClient extends DeepClientInstance>(this: GeolocationDecorator<TDeepClient>, options: WatchPositionOptions): WatchPositionResult;
export type WatchPositionOptions = {
    watchPositionOptions?: PositionOptions;
    containerLinkId?: number;
};
export type WatchPositionResult = ReturnType<GeolocationPlugin["watchPosition"]>;
